<?php

namespace CyclivePublic\MainBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\Httpfoundation\Response;
use JMS\SecurityExtraBundle\Security\Authorization\Expression\Expression;

use CyclivePublic\UserBundle\Entity\User;
use CyclivePublic\MainBundle\Entity\News;
use CyclivePublic\MainBundle\Entity\Request;
use CyclivePublic\MainBundle\Entity\RequestType;

class MainController extends Controller
{
	public function homeAction()
	{

		// Action en attente ?
		$session = $this->getRequest()->getSession();
		if($session->get('actionEnAttente')=="ajout"){
			$session->set('actionEnAttente',null);
			return $this->redirect( $this->generateUrl('cyclive_public_addObjectToMe', array('strId' => $session->get('objet'))) );
		}

		$em = $this->getDoctrine()->getManager();

		$repNews = $em->getRepository('CyclivePublicMainBundle:News');
		$news = $repNews->findAll();

		$isAdmin = false;

		if(($this->get('security.context')->isGranted(array(new Expression('isAuthenticated()'))))){
			$user = $this->get('security.context')->getToken()->getUser();
			if ($user->getIsAdmin()) {
				$isAdmin = true;
			}
		}

		return $this->render('CyclivePublicMainBundle::home.html.twig', array(
    	'activeNavLink'  => '0',
    	'news' => $news,
    	'isAdmin' => $isAdmin,
		));
	}

	public function contactAction()
	{
		$em = $this->getDoctrine()->getManager();

		$repReqTyp = $em->getRepository('CyclivePublicMainBundle:RequestType');
		$reqTyp = $repReqTyp->findAll();

		if ($this->get('request')->getMethod() == 'POST') {
			$request = new Request();
			$request->setTitle($_POST['title']);
			
			if($this->get('security.context')->isGranted(array(new Expression('isAuthenticated()')))){
				$request->setAuthor($this->get('security.context')->getToken()->getUser());
			}else{
				$request->setAuthor(null);	
			}
			$rt = $repReqTyp->find($_POST['type']);
			$request->setType($rt);
			$request->setContent($_POST['content']);
			$request->setDateAdded(new \Datetime());
			
			$this->get('session')->getFlashBag()->add('alertsuccess', 'Message envoyé !');
			$em->persist($request);
			$em->flush();
		}
		
		return $this->render('CyclivePublicMainBundle::contact.html.twig', array(
		'activeNavLink'  => '2',
		'reqTyp' => $reqTyp
		));
	}
}