<?php

namespace CyclivePublic\ObjectBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Announce
 *
 * @ORM\Table()
 * @ORM\Entity(repositoryClass="CyclivePublic\ObjectBundle\Entity\AnnounceRepository")
 */
class Announce
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\ManyToOne(targetEntity="CyclivePublic\UserBundle\Entity\User")
     * @ORM\JoinColumn(nullable=false)
     */
    private $owner;

    /**
     * @var string
     *
     * @ORM\ManyToOne(targetEntity="CyclivePublic\ObjectBundle\Entity\UserObject")
     * @ORM\JoinColumn(nullable=false)
     */
    private $object;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="dateAdded", type="date")
     */
    private $dateAdded;

    /**
     * @var boolean
     *
     * @ORM\Column(name="display", type="boolean")
     */
    private $display;

    /**
     * @var boolean
     *
     * @ORM\Column(name="hasBeenDeleted", type="boolean")
     */
    private $hasBeenDeleted;

    /**
     * @var string
     *
     * @ORM\Column(name="link", type="string", length=255)
     */
    private $link;

    /**
     * @var string
     *
     * @ORM\Column(name="madeOn", type="string", length=255)
     */
    private $madeOn;


    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set owner
     *
     * @param string $owner
     * @return Announce
     */
    public function setOwner($owner)
    {
        $this->owner = $owner;

        return $this;
    }

    /**
     * Get owner
     *
     * @return string 
     */
    public function getOwner()
    {
        return $this->owner;
    }

    /**
     * Set object
     *
     * @param string $object
     * @return Announce
     */
    public function setObject($object)
    {
        $this->object = $object;

        return $this;
    }

    /**
     * Get object
     *
     * @return string 
     */
    public function getObject()
    {
        return $this->object;
    }

    /**
     * Set dateAdded
     *
     * @param \DateTime $dateAdded
     * @return Announce
     */
    public function setDateAdded($dateAdded)
    {
        $this->dateAdded = $dateAdded;

        return $this;
    }

    /**
     * Get dateAdded
     *
     * @return \DateTime 
     */
    public function getDateAdded()
    {
        return $this->dateAdded;
    }

    /**
     * Set display
     *
     * @param boolean $display
     * @return Announce
     */
    public function setDisplay($display)
    {
        $this->display = $display;

        return $this;
    }

    /**
     * Get display
     *
     * @return boolean 
     */
    public function getDisplay()
    {
        return $this->display;
    }

    /**
     * Set hasBeenDeleted
     *
     * @param boolean $hasBeenDeleted
     * @return Announce
     */
    public function setHasBeenDeleted($hasBeenDeleted)
    {
        $this->hasBeenDeleted = $hasBeenDeleted;

        return $this;
    }

    /**
     * Get hasBeenDeleted
     *
     * @return boolean 
     */
    public function getHasBeenDeleted()
    {
        return $this->hasBeenDeleted;
    }

    /**
     * Set link
     *
     * @param string $link
     * @return Announce
     */
    public function setLink($link)
    {
        $this->link = $link;

        return $this;
    }

    /**
     * Get link
     *
     * @return string 
     */
    public function getLink()
    {
        return $this->link;
    }

    /**
     * Set madeOn
     *
     * @param string $madeOn
     * @return Announce
     */
    public function setMadeOn($madeOn)
    {
        $this->madeOn = $madeOn;

        return $this;
    }

    /**
     * Get madeOn
     *
     * @return string 
     */
    public function getMadeOn()
    {
        return $this->madeOn;
    }
}
