<?php

namespace CyclivePublic\ObjectBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use CyclivePublic\MainBundle\Entity\Image;

/**
 * ObjectList
 *
 * @ORM\Table()
 * @ORM\Entity(repositoryClass="CyclivePublic\ObjectBundle\Entity\ObjectListRepository")
 */
class ObjectList
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="name", type="string", length=255)
     */
    private $name;

    /**
     * @var string
     *
     * @ORM\Column(name="stringId", type="string", length=255)
     */
    private $stringId;

    /**
     * @var string
     *
     * @ORM\Column(name="description", type="text")
     */
    private $description;

    /**
     * @ORM\ManyToOne(targetEntity="CyclivePublic\MainBundle\Entity\Image")
     */
    private $image;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="dateAdded", type="date")
     */
    private $dateAdded;

    /**
     * @var string
     *
     * @ORM\Column(name="repairLink1", type="string", length=255)
     */
    private $repairLink1;

    /**
     * @var string
     *
     * @ORM\Column(name="repairLink2", type="string", length=255)
     */
    private $repairLink2;

    /**
     * @var string
     *
     * @ORM\Column(name="repairLink3", type="string", length=255)
     */
    private $repairLink3;

    public function __construct()
    {
        //$repImage = $em->getRepository('CyclivePublicMainBundle:Image');
        //$imageDef= $repImage->findOneBy(array('id' => '1'));
        //$this->image = $imageDef;
        $this->dateAdded = new \Datetime;
    }

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set name
     *
     * @param string $name
     * @return Object
     */
    public function setName($name)
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Get name
     *
     * @return string 
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Set stringId
     *
     * @param string $stringId
     * @return Object
     */
    public function setStringId($stringId)
    {
        $this->stringId = $stringId;

        return $this;
    }

    /**
     * Get stringId
     *
     * @return string 
     */
    public function getStringId()
    {
        return $this->stringId;
    }

    /**
     * Set description
     *
     * @param string $description
     * @return Object
     */
    public function setDescription($description)
    {
        $this->description = $description;

        return $this;
    }

    /**
     * Get description
     *
     * @return string 
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Set dateAdded
     *
     * @param \DateTime $dateAdded
     * @return Object
     */
    public function setDateAdded($dateAdded)
    {
        $this->dateAdded = $dateAdded;

        return $this;
    }

    /**
     * Get dateAdded
     *
     * @return \DateTime 
     */
    public function getDateAdded()
    {
        return $this->dateAdded;
    }

    /**
     * Set repairLink1
     *
     * @param string $repairLink1
     * @return ObjectList
     */
    public function setRepairLink1($repairLink1)
    {
        $this->repairLink1 = $repairLink1;

        return $this;
    }

    /**
     * Get repairLink1
     *
     * @return string 
     */
    public function getRepairLink1()
    {
        return $this->repairLink1;
    }

    /**
     * Set repairLink2
     *
     * @param string $repairLink2
     * @return ObjectList
     */
    public function setRepairLink2($repairLink2)
    {
        $this->repairLink2 = $repairLink2;

        return $this;
    }

    /**
     * Get repairLink2
     *
     * @return string 
     */
    public function getRepairLink2()
    {
        return $this->repairLink2;
    }

    /**
     * Set repairLink3
     *
     * @param string $repairLink3
     * @return ObjectList
     */
    public function setRepairLink3($repairLink3)
    {
        $this->repairLink3 = $repairLink3;

        return $this;
    }

    /**
     * Get repairLink3
     *
     * @return string 
     */
    public function getRepairLink3()
    {
        return $this->repairLink3;
    }

    /**
     * Set image
     *
     * @param \CyclivePublic\MainBundle\Entity\Image $image
     * @return ObjectList
     */
    public function setImage(\CyclivePublic\MainBundle\Entity\Image $image = null)
    {
        $this->image = $image;

        return $this;
    }

    /**
     * Get image
     *
     * @return \CyclivePublic\MainBundle\Entity\Image 
     */
    public function getImage()
    {
        return $this->image;
    }
}
