<?php

namespace CyclivePublic\ObjectBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * UserObject
 *
 * @ORM\Table()
 * @ORM\Entity(repositoryClass="CyclivePublic\ObjectBundle\Entity\UserObjectRepository")
 */
class UserObject
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @ORM\ManyToOne(targetEntity="CyclivePublic\UserBundle\Entity\User")
     * @ORM\JoinColumn(nullable=false)
     */
    private $owner;

    /**
     * @ORM\ManyToOne(targetEntity="CyclivePublic\ObjectBundle\Entity\ObjectList")
     * @ORM\JoinColumn(nullable=false)
     */
    private $object;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="dateAdded", type="date")
     */
    private $dateAdded;

    /**
     * @var boolean
     *
     * @ORM\Column(name="display", type="boolean")
     */
    private $display;

    public function __construct()
    {
        $this->dateAdded = new \Datetime;
        $this->display = true;
    }

    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set owner
     *
     * @param string $owner
     * @return UserObject
     */
    public function setOwner($owner)
    {
        $this->owner = $owner;

        return $this;
    }

    /**
     * Get owner
     *
     * @return string 
     */
    public function getOwner()
    {
        return $this->owner;
    }

    /**
     * Set dateAdded
     *
     * @param \DateTime $dateAdded
     * @return UserObject
     */
    public function setDateAdded($dateAdded)
    {
        $this->dateAdded = $dateAdded;

        return $this;
    }

    /**
     * Get dateAdded
     *
     * @return \DateTime 
     */
    public function getDateAdded()
    {
        return $this->dateAdded;
    }

    /**
     * Set display
     *
     * @param boolean $display
     * @return UserObject
     */
    public function setDisplay($display)
    {
        $this->display = $display;

        return $this;
    }

    /**
     * Get display
     *
     * @return boolean 
     */
    public function getDisplay()
    {
        return $this->display;
    }

    /**
     * Set object
     *
     * @param string $object
     * @return UserObject
     */
    public function setObject($object)
    {
        $this->object = $object;

        return $this;
    }

    /**
     * Get object
     *
     * @return string 
     */
    public function getObject()
    {
        return $this->object;
    }
}
